FROM node:22-slim

WORKDIR /app
RUN npm install -g @bitwarden/cli
COPY package.json ./
RUN npm install --production
COPY vaultwarden.js server.js ./
COPY start.sh ./
RUN chmod +x start.sh
CMD ["./start.sh"]
